NXOpen .NET Reference Guide  1899
 All Classes Namespaces Functions Variables Enumerations Enumerator Properties
Public Types | Public Member Functions | Properties | List of all members
NXOpen.Features.IsoparametricCurvesBuilder Class Reference

Represents a NXOpen.Features.IsoparametricCurves builder More...

Inheritance diagram for NXOpen.Features.IsoparametricCurvesBuilder:
NXOpen.Features.FeatureBuilder NXOpen.Builder NXOpen.TaggedObject NXOpen.GeometricUtilities.IComponentBuilder NXOpen.Utilities.NXRemotableObject IMessageSink

Public Types

enum  DirectionTypes { IsoU, IsoV, IsoUV }
 Curve direction options More...
 
enum  PlacementTypes { Uniform, ThroughPoints, BetweenPoints }
 Curve creation options More...
 

Public Member Functions

unsafe void SetActivePoints (NXOpen.Point[] points, NXOpen.Point masterPoint)
 Sets key points that are selected or will be moved More...
 
unsafe void UpdateIsoparametricCurves ()
 Sets key points that are selected or will be moved More...
 
- Public Member Functions inherited from NXOpen.Features.FeatureBuilder
unsafe NXOpen.Features.Feature CommitFeature ()
 Commits the feature parameters and creates the feature More...
 
unsafe NXOpen.Features.Feature GetFeature ()
 Returns the feature currently being edited by this builder. More...
 
unsafe void HideInternalParentFeatureAfterEdit (NXOpen.Features.Feature parentFeature)
 Re-suppress an internal parent feature (a slave feature) after it has been edited. More...
 
unsafe void SetParentFeatureInternal (NXOpen.Features.Feature parentFeature)
 Set the parent features which would be internal or slaves to the feature being created or commited More...
 
unsafe void ShowInternalParentFeatureForEdit (NXOpen.Features.Feature parentFeature)
 Unsuppress an internal parent feature (a slave feature) so it can be edited. More...
 
unsafe void UnsetParentFeatureInternal (NXOpen.Features.Feature parentFeature)
 Set the internal parent feature of the feature being edited to external More...
 
- Public Member Functions inherited from NXOpen.Builder
unsafe NXOpen.NXObject Commit ()
 Commits any edits that have been applied to the builder. More...
 
unsafe void Destroy ()
 Deletes the builder, and cleans up any objects created by the builder. More...
 
unsafe NXOpen.NXObject[] GetCommittedObjects ()
 For builders that create more than one object, this method returns the objects that are created by commit. More...
 
unsafe NXOpen.NXObject GetObject ()
 Returns the object currently being edited by this builder. More...
 
unsafe void ShowResults ()
 Updates the model to reflect the result of an edit to the model for all builders that support showing results. More...
 
unsafe bool Validate ()
 Validate whether the inputs to the component are sufficient for commit to be called. More...
 
- Public Member Functions inherited from NXOpen.TaggedObject
void PrintTestData (String variableName)
 <exclude> More...
 
void PrintTestData (String variableName, int lineNumber)
 <exclude> More...
 
override string ToString ()
 Returns a String that represents the current Object. More...
 
- Public Member Functions inherited from NXOpen.Utilities.NXRemotableObject
IMessageCtrl AsyncProcessMessage (IMessage msg, IMessageSink replySink)
 Asynchronously processes the given message. More...
 
IMessage SyncProcessMessage (IMessage msg)
 Synchronously processes the given message. More...
 

Properties

unsafe bool Associative [get, set]
 Returns or sets the associative state. More...
 
unsafe
NXOpen.Features.GeometricConstraintDataManager 
ConstraintManager [get]
 Returns the constraint manager. More...
 
unsafe
NXOpen.Features.IsoparametricCurvesBuilder.DirectionTypes 
Direction [get, set]
 Returns or sets the direction type More...
 
unsafe bool IsSpacingEnabled [get, set]
 Returns or sets the is spacing enabled More...
 
unsafe bool IsSwitchDirection [get, set]
 Returns or sets the is switch direction More...
 
unsafe bool IsUEnabled [get, set]
 Returns or sets the is u enabled More...
 
unsafe bool IsVEnabled [get, set]
 Returns or sets the is v enabled More...
 
unsafe int Number [get, set]
 Returns or sets the number of curves More...
 
unsafe
NXOpen.Features.IsoparametricCurvesBuilder.PlacementTypes 
Placement [get, set]
 Returns or sets the placement type More...
 
unsafe
NXOpen.SelectDisplayableObject 
SelectObject [get]
 Returns the select object for faces More...
 
unsafe double Spacing [get, set]
 Returns or sets the spacing to use when spacing is enabled More...
 
- Properties inherited from NXOpen.Features.FeatureBuilder
unsafe bool ParentFeatureInternal [get, set]
 Returns or sets whether or not the latest timestamped parent feature of this feature should be made internal More...
 
- Properties inherited from NXOpen.Builder
unsafe NXOpen.PreviewBuilder PreviewBuilder [get]
 Returns the preview builder subobject. More...
 
- Properties inherited from NXOpen.TaggedObject
Tag Tag [get]
 Returns the tag of this object. More...
 
- Properties inherited from NXOpen.Utilities.NXRemotableObject
IMessageSink NextSink [get]
 Gets the next message sink in the sink chain. More...
 

Additional Inherited Members

- Protected Member Functions inherited from NXOpen.TaggedObject
new void initialize ()
 <exclude> More...
 

Detailed Description

Represents a NXOpen.Features.IsoparametricCurves builder

To create a new instance of this class, use NXOpen.Features.FeatureCollection.CreateIsoparametricCurvesBuilder

Default values.

Property Value

Associative

1

IsSpacingEnabled

0

IsSwitchDirection

0

IsUEnabled

1

IsVEnabled

0

Number

5

Placement

Uniform

Spacing

25

Created in NX8.0.0

Member Enumeration Documentation

Curve direction options

Enumerator
IsoU 

Iso U direction

IsoV 

Iso V direction

IsoUV 

Iso U and Iso V direction

Curve creation options

Enumerator
Uniform 

Insert curves uniformly

ThroughPoints 

Insert curves through points

BetweenPoints 

Insert curves between points

Member Function Documentation

unsafe void NXOpen.Features.IsoparametricCurvesBuilder.SetActivePoints ( NXOpen.Point[]  points,
NXOpen.Point  masterPoint 
)
inline

Sets key points that are selected or will be moved

Created in NX8.0.0

License requirements: solid_modeling ("SOLIDS MODELING")

Parameters
pointsKey points
masterPointPoint which user actually moves to move a group of selected points
unsafe void NXOpen.Features.IsoparametricCurvesBuilder.UpdateIsoparametricCurves ( )
inline

Sets key points that are selected or will be moved

Created in NX8.0.0

License requirements: solid_modeling ("SOLIDS MODELING")

Property Documentation

unsafe bool NXOpen.Features.IsoparametricCurvesBuilder.Associative
getset

Returns or sets the associative state.

Disables feature creation when false

Created in NX8.0.0

License requirements to get this property: None.

License requirements to set this property: solid_modeling ("SOLIDS MODELING")

unsafe NXOpen.Features.GeometricConstraintDataManager NXOpen.Features.IsoparametricCurvesBuilder.ConstraintManager
get

Returns the constraint manager.

Allows definition of key points to be used to control curve creation.

Created in NX8.0.0

License requirements: None.

unsafe NXOpen.Features.IsoparametricCurvesBuilder.DirectionTypes NXOpen.Features.IsoparametricCurvesBuilder.Direction
getset

Returns or sets the direction type

Created in NX8.0.0

License requirements to get this property: None.

License requirements to set this property: solid_modeling ("SOLIDS MODELING")

unsafe bool NXOpen.Features.IsoparametricCurvesBuilder.IsSpacingEnabled
getset

Returns or sets the is spacing enabled

Created in NX8.0.0

License requirements to get this property: None.

License requirements to set this property: solid_modeling ("SOLIDS MODELING")

unsafe bool NXOpen.Features.IsoparametricCurvesBuilder.IsSwitchDirection
getset

Returns or sets the is switch direction

Created in NX8.0.0

License requirements to get this property: None.

License requirements to set this property: solid_modeling ("SOLIDS MODELING")

unsafe bool NXOpen.Features.IsoparametricCurvesBuilder.IsUEnabled
getset

Returns or sets the is u enabled

Created in NX8.0.0

License requirements to get this property: None.

License requirements to set this property: solid_modeling ("SOLIDS MODELING")

unsafe bool NXOpen.Features.IsoparametricCurvesBuilder.IsVEnabled
getset

Returns or sets the is v enabled

Created in NX8.0.0

License requirements to get this property: None.

License requirements to set this property: solid_modeling ("SOLIDS MODELING")

unsafe int NXOpen.Features.IsoparametricCurvesBuilder.Number
getset

Returns or sets the number of curves

Created in NX8.0.0

License requirements to get this property: None.

License requirements to set this property: solid_modeling ("SOLIDS MODELING")

unsafe NXOpen.Features.IsoparametricCurvesBuilder.PlacementTypes NXOpen.Features.IsoparametricCurvesBuilder.Placement
getset

Returns or sets the placement type

Created in NX8.0.0

License requirements to get this property: None.

License requirements to set this property: solid_modeling ("SOLIDS MODELING")

unsafe NXOpen.SelectDisplayableObject NXOpen.Features.IsoparametricCurvesBuilder.SelectObject
get

Returns the select object for faces

Created in NX8.0.0

License requirements: None.

unsafe double NXOpen.Features.IsoparametricCurvesBuilder.Spacing
getset

Returns or sets the spacing to use when spacing is enabled

Created in NX8.0.0

License requirements to get this property: None.

License requirements to set this property: solid_modeling ("SOLIDS MODELING")


The documentation for this class was generated from the following file:
Copyright 2019 Siemens Product Lifecycle Management Software Inc. All Rights Reserved.